#
# Water dimer
#

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords='h2o_dimer.cjson')

mm = DL_POLY(frag=water, ff='h2o_dimer.ff')

sp = SP(theory=mm, gradients=True)

sp.run()

ecalc = sp.result.energy

# Test result from Tcl-ChemShell
# cf GULP -0.0075171025
eref = -0.0075169000
tolerance = 1.0e-6

testutils.validate(ecalc, eref, tol=tolerance)
